#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_FishChuBaoCFGData
{
	//编号
	int mID;
	//鱼ID
	int mFishId;
	//最小炮倍
	int mTurretMin;
	//最大炮倍
	int mTurretMax;
	//分值
	int mScore;
	//权重
	int mWeight;
	//金币（百分比）
	int mGold;
	//特定奖励
	std::vector<int> mGivenReward;
	//档位名称
	std::string mGearName;
};

class Fish_FishChuBaoCFG
{
public:
private:
	static std::auto_ptr<Fish_FishChuBaoCFG> msSingleton;
public:
	int GetCount();
	const Fish_FishChuBaoCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_FishChuBaoCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_FishChuBaoCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_FishChuBaoCFGData> mMapData;
};
